package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.Date;

/**
 * <p>
 * 采购合同-补充信息表
 * </p>
 *
 * @author liutao
 * @since 2022-06-14
 */
@TableName("purch_contract_supplement_info_history")
public class PurchContractSupplementInfoHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 采购合同管理Id
     */
    @TableField("purch_contract_management_id")
    private Long purchContractManagementId;

    /**
     * 补充合同编号
     */
    @TableField("supplement_contract_number")
    private String supplementContractNumber;

    /**
     * 价格规则计算
     */
    @TableField("price_rule_detail")
    private String priceRuleDetail;

    /**
     * 合同生效日
     */
    @TableField("contract_effect_date")
    private Date contractEffectDate;

    /**
     * 是否新增货物 0 不新增 1 新增
     */
    @TableField("add_goods")
    private Integer addGoods;

    /**
     * 其他约定
     */
    @TableField("other_convention")
    private String otherConvention;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getAddGoods() {
        return addGoods;
    }

    public void setAddGoods(Integer addGoods) {
        this.addGoods = addGoods;
    }

    public String getOtherConvention() {
        return otherConvention;
    }

    public void setOtherConvention(String otherConvention) {
        this.otherConvention = otherConvention;
    }

    public Long getPurchContractManagementId() {
        return purchContractManagementId;
    }

    public void setPurchContractManagementId(Long purchContractManagementId) {
        this.purchContractManagementId = purchContractManagementId;
    }
    public String getSupplementContractNumber() {
        return supplementContractNumber;
    }

    public void setSupplementContractNumber(String supplementContractNumber) {
        this.supplementContractNumber = supplementContractNumber;
    }
    public String getPriceRuleDetail() {
        return priceRuleDetail;
    }

    public void setPriceRuleDetail(String priceRuleDetail) {
        this.priceRuleDetail = priceRuleDetail;
    }
    public Date getContractEffectDate() {
        return contractEffectDate;
    }

    public void setContractEffectDate(Date contractEffectDate) {
        this.contractEffectDate = contractEffectDate;
    }

    @Override
    public String toString() {
        return "PurchContractSupplementInfoHistory{" +
            "purchContractManagementId=" + purchContractManagementId +
            ", supplementContractNumber=" + supplementContractNumber +
            ", priceRuleDetail=" + priceRuleDetail +
            ", contractEffectDate=" + contractEffectDate +
        "}";
    }
}
